Subject: bug#46963: 28.0.50; Bad WM size hints in GTK-3 builds

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Mar 2021 22:13:32 +0200

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sat, 6 Mar 2021 20:29:02 +0100
> 
>  > Alternatively, we could disallow making frames smaller than 4 lines,
>  > because making our code jump through hoops for uses cases that are
>  > supposed to be rare, to say the least, makes little sense to me.
> 
> That's what I'm trying to do because you asked for such a solution.  It
> cannot be a fixed number of lines like 4 because minibuffer-only or
> ediff control frames want less.  OTOH four lines are not enough when
> shrinking a frame with say four windows stacked above each other.
> 
> Rather, I calculate, from the number of vertically stacked windows, the
> presence of scroll bars, mode, header and tab bar lines and a plethora
> of other factors a minimal height of the frame and try to pass that to
> the window manager.  But GTK3 intercepts me.

Then perhaps we should document this oddity in PROBLEMS and forget
about it.